package main

type generateCmd struct {
	Path             string `arg:"" help:"Path to the directory with the recipes."`
	Output           string `default:"dist" help:"Path to the directory where the files will be generated."`
	NameKey          string `default:"name" short:"n" help:"The metadata key for the recipe name."`
	Title            string `default:"Recipes directory" short:"t" help:"The title to use at the recipe index."`
	IngredientsTitle string `default:"Ingredients" short:"i" help:"The title to use at the list of ingredients of each recipe"`
}

var cli struct {
	Debug bool `help:"Print debug information."`

	Generate generateCmd `cmd:"" help:"Generate the web files for a directory of recipes."`
}
